
Redmine - Defect #14351

Problem with Receiving emails

2013-06-25 16:18 - Sasha Harutyunyan

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 2.3.1

Description

Hello ,

I have a problem with Receiving emails on Redmine 2.3.1

My Env

1. ruby script/about

Environment:

Redmine version                          2.3.1.stable.11981

Ruby version                             1.9.3 (i686-linux)

Rails version                            3.2.13

Environment                              production

Database adapter                         Mysql2

__________________________________________________________

And command output is ...

1. rake -f /opt/redmine/Rakefile  redmine:email:receive_imap RAILS_ENV="production" host=imap.yandex.ru port=993 username=

redmine@reborns.info password=PASWORD ssl=true --trace

Invoke redmine:email:receive_imap (first_time)

Invoke environment (first_time)

Execute environment

Execute redmine:email:receive_imap

rake aborted!

undefined method `[]' for nil:NilClass

/usr/lib/ruby/1.9.1/net/imap.rb:1332:in `block in search_internal'

/usr/lib/ruby/1.9.1/monitor.rb:211:in `mon_synchronize'

/usr/lib/ruby/1.9.1/net/imap.rb:1326:in `search_internal'

/usr/lib/ruby/1.9.1/net/imap.rb:752:in `search'

/opt/redmine/lib/redmine/imap.rb:32:in `check'

/opt/redmine/lib/tasks/email.rake:141:in `block (3 levels) in <top (required)>'

/usr/lib/ruby/gems/1.9.1/gems/rake-10.1.0/lib/rake/task.rb:236:in `call'

/usr/lib/ruby/gems/1.9.1/gems/rake-10.1.0/lib/rake/task.rb:236:in `block in execute'

/usr/lib/ruby/gems/1.9.1/gems/rake-10.1.0/lib/rake/task.rb:231:in `each'

/usr/lib/ruby/gems/1.9.1/gems/rake-10.1.0/lib/rake/task.rb:231:in `execute'

/usr/lib/ruby/gems/1.9.1/gems/rake-10.1.0/lib/rake/task.rb:175:in `block in invoke_with_call_chain'

/usr/lib/ruby/1.9.1/monitor.rb:211:in `mon_synchronize'

/usr/lib/ruby/gems/1.9.1/gems/rake-10.1.0/lib/rake/task.rb:168:in `invoke_with_call_chain'

/usr/lib/ruby/gems/1.9.1/gems/rake-10.1.0/lib/rake/task.rb:161:in `invoke'

/usr/lib/ruby/gems/1.9.1/gems/rake-10.1.0/lib/rake/application.rb:149:in `invoke_task'

/usr/lib/ruby/gems/1.9.1/gems/rake-10.1.0/lib/rake/application.rb:106:in `block (2 levels) in top_level'

/usr/lib/ruby/gems/1.9.1/gems/rake-10.1.0/lib/rake/application.rb:106:in `each'

/usr/lib/ruby/gems/1.9.1/gems/rake-10.1.0/lib/rake/application.rb:106:in `block in top_level'

/usr/lib/ruby/gems/1.9.1/gems/rake-10.1.0/lib/rake/application.rb:115:in `run_with_threads'

/usr/lib/ruby/gems/1.9.1/gems/rake-10.1.0/lib/rake/application.rb:100:in `top_level'

/usr/lib/ruby/gems/1.9.1/gems/rake-10.1.0/lib/rake/application.rb:78:in `block in run'

/usr/lib/ruby/gems/1.9.1/gems/rake-10.1.0/lib/rake/application.rb:165:in `standard_exception_handling'

/usr/lib/ruby/gems/1.9.1/gems/rake-10.1.0/lib/rake/application.rb:75:in `run'

/usr/lib/ruby/gems/1.9.1/gems/rake-10.1.0/bin/rake:33:in `<top (required)>'

/usr/bin/rake:23:in `load'

/usr/bin/rake:23:in `<main>'

Tasks: TOP => redmine:email:receive_imap
Thanks,

History

#1 - 2013-06-25 19:21 - Sasha Harutyunyan

Sorry guys , Receiving emails is working normally. The error only appears if INBOX is empty , otherwise it work as usually.

#2 - 2013-06-29 11:48 - Toshi MARUYAMA

- Category set to Email receiving
